Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 3731)
+++ inc/core/class.dc.xmlrpc.php	(revision 3874)
@@ -28,192 +28,192 @@
 
         # Blogger methods
-        $this->addCallback('blogger.newPost', array($this, 'blogger_newPost'),
-            array('string', 'string', 'string', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('blogger.newPost', [$this, 'blogger_newPost'],
+            ['string', 'string', 'string', 'string', 'string', 'string', 'integer'],
             'New post');
 
-        $this->addCallback('blogger.editPost', array($this, 'blogger_editPost'),
-            array('boolean', 'string', 'string', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('blogger.editPost', [$this, 'blogger_editPost'],
+            ['boolean', 'string', 'string', 'string', 'string', 'string', 'integer'],
             'Edit a post');
 
-        $this->addCallback('blogger.getPost', array($this, 'blogger_getPost'),
-            array('struct', 'string', 'integer', 'string', 'string'),
+        $this->addCallback('blogger.getPost', [$this, 'blogger_getPost'],
+            ['struct', 'string', 'integer', 'string', 'string'],
             'Return a posts by ID');
 
-        $this->addCallback('blogger.deletePost', array($this, 'blogger_deletePost'),
-            array('string', 'string', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('blogger.deletePost', [$this, 'blogger_deletePost'],
+            ['string', 'string', 'string', 'string', 'string', 'integer'],
             'Delete a post');
 
-        $this->addCallback('blogger.getRecentPosts', array($this, 'blogger_getRecentPosts'),
-            array('array', 'string', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('blogger.getRecentPosts', [$this, 'blogger_getRecentPosts'],
+            ['array', 'string', 'string', 'string', 'string', 'integer'],
             'Return a list of recent posts');
 
-        $this->addCallback('blogger.getUsersBlogs', array($this, 'blogger_getUserBlogs'),
-            array('struct', 'string', 'string', 'string'),
+        $this->addCallback('blogger.getUsersBlogs', [$this, 'blogger_getUserBlogs'],
+            ['struct', 'string', 'string', 'string'],
             "Return user's blog");
 
-        $this->addCallback('blogger.getUserInfo', array($this, 'blogger_getUserInfo'),
-            array('struct', 'string', 'string', 'string'),
+        $this->addCallback('blogger.getUserInfo', [$this, 'blogger_getUserInfo'],
+            ['struct', 'string', 'string', 'string'],
             'Return User Info');
 
         # Metaweblog methods
-        $this->addCallback('metaWeblog.newPost', array($this, 'mw_newPost'),
-            array('string', 'string', 'string', 'string', 'struct', 'boolean'),
+        $this->addCallback('metaWeblog.newPost', [$this, 'mw_newPost'],
+            ['string', 'string', 'string', 'string', 'struct', 'boolean'],
             'Creates a new post, and optionnaly publishes it.');
 
-        $this->addCallback('metaWeblog.editPost', array($this, 'mw_editPost'),
-            array('boolean', 'string', 'string', 'string', 'struct', 'boolean'),
+        $this->addCallback('metaWeblog.editPost', [$this, 'mw_editPost'],
+            ['boolean', 'string', 'string', 'string', 'struct', 'boolean'],
             'Updates information about an existing entry');
 
-        $this->addCallback('metaWeblog.getPost', array($this, 'mw_getPost'),
-            array('struct', 'string', 'string', 'string'),
+        $this->addCallback('metaWeblog.getPost', [$this, 'mw_getPost'],
+            ['struct', 'string', 'string', 'string'],
             'Returns information about a specific post');
 
-        $this->addCallback('metaWeblog.getRecentPosts', array($this, 'mw_getRecentPosts'),
-            array('array', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('metaWeblog.getRecentPosts', [$this, 'mw_getRecentPosts'],
+            ['array', 'string', 'string', 'string', 'integer'],
             'List of most recent posts in the system');
 
-        $this->addCallback('metaWeblog.getCategories', array($this, 'mw_getCategories'),
-            array('array', 'string', 'string', 'string'),
+        $this->addCallback('metaWeblog.getCategories', [$this, 'mw_getCategories'],
+            ['array', 'string', 'string', 'string'],
             'List of all categories defined in the weblog');
 
-        $this->addCallback('metaWeblog.newMediaObject', array($this, 'mw_newMediaObject'),
-            array('struct', 'string', 'string', 'string', 'struct'),
+        $this->addCallback('metaWeblog.newMediaObject', [$this, 'mw_newMediaObject'],
+            ['struct', 'string', 'string', 'string', 'struct'],
             'Upload a file on the web server');
 
         # MovableType methods
-        $this->addCallback('mt.getRecentPostTitles', array($this, 'mt_getRecentPostTitles'),
-            array('array', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('mt.getRecentPostTitles', [$this, 'mt_getRecentPostTitles'],
+            ['array', 'string', 'string', 'string', 'integer'],
             'List of most recent posts in the system');
 
-        $this->addCallback('mt.getCategoryList', array($this, 'mt_getCategoryList'),
-            array('array', 'string', 'string', 'string'),
+        $this->addCallback('mt.getCategoryList', [$this, 'mt_getCategoryList'],
+            ['array', 'string', 'string', 'string'],
             'List of all categories defined in the weblog');
 
-        $this->addCallback('mt.getPostCategories', array($this, 'mt_getPostCategories'),
-            array('array', 'string', 'string', 'string'),
+        $this->addCallback('mt.getPostCategories', [$this, 'mt_getPostCategories'],
+            ['array', 'string', 'string', 'string'],
             'List of all categories to which the post is assigned');
 
-        $this->addCallback('mt.setPostCategories', array($this, 'mt_setPostCategories'),
-            array('boolean', 'string', 'string', 'string', 'array'),
+        $this->addCallback('mt.setPostCategories', [$this, 'mt_setPostCategories'],
+            ['boolean', 'string', 'string', 'string', 'array'],
             'Sets the categories for a post');
 
-        $this->addCallback('mt.publishPost', array($this, 'mt_publishPost'),
-            array('boolean', 'string', 'string', 'string'),
+        $this->addCallback('mt.publishPost', [$this, 'mt_publishPost'],
+            ['boolean', 'string', 'string', 'string'],
             'Retrieve pings list for a post');
 
-        $this->addCallback('mt.supportedMethods', array($this, 'listMethods'),
-            array(), 'Retrieve information about the XML-RPC methods supported by the server.');
-
-        $this->addCallback('mt.supportedTextFilters', array($this, 'mt_supportedTextFilters'),
-            array(), 'Retrieve information about supported text filters.');
+        $this->addCallback('mt.supportedMethods', [$this, 'listMethods'],
+            [], 'Retrieve information about the XML-RPC methods supported by the server.');
+
+        $this->addCallback('mt.supportedTextFilters', [$this, 'mt_supportedTextFilters'],
+            [], 'Retrieve information about supported text filters.');
 
         # WordPress methods
-        $this->addCallback('wp.getUsersBlogs', array($this, 'wp_getUsersBlogs'),
-            array('array', 'string', 'string'),
+        $this->addCallback('wp.getUsersBlogs', [$this, 'wp_getUsersBlogs'],
+            ['array', 'string', 'string'],
             'Retrieve the blogs of the user.');
 
-        $this->addCallback('wp.getPage', array($this, 'wp_getPage'),
-            array('struct', 'integer', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getPage', [$this, 'wp_getPage'],
+            ['struct', 'integer', 'integer', 'string', 'string'],
             'Get the page identified by the page ID.');
 
-        $this->addCallback('wp.getPages', array($this, 'wp_getPages'),
-            array('array', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.getPages', [$this, 'wp_getPages'],
+            ['array', 'integer', 'string', 'string', 'integer'],
             'Get an array of all the pages on a blog.');
 
-        $this->addCallback('wp.newPage', array($this, 'wp_newPage'),
-            array('integer', 'integer', 'string', 'string', 'struct', 'boolean'),
+        $this->addCallback('wp.newPage', [$this, 'wp_newPage'],
+            ['integer', 'integer', 'string', 'string', 'struct', 'boolean'],
             'Create a new page.');
 
-        $this->addCallback('wp.deletePage', array($this, 'wp_deletePage'),
-            array('boolean', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.deletePage', [$this, 'wp_deletePage'],
+            ['boolean', 'integer', 'string', 'string', 'integer'],
             'Removes a page from the blog.');
 
-        $this->addCallback('wp.editPage', array($this, 'wp_editPage'),
-            array('boolean', 'integer', 'integer', 'string', 'string', 'struct', 'boolean'),
+        $this->addCallback('wp.editPage', [$this, 'wp_editPage'],
+            ['boolean', 'integer', 'integer', 'string', 'string', 'struct', 'boolean'],
             'Make changes to a blog page.');
 
-        $this->addCallback('wp.getPageList', array($this, 'wp_getPageList'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getPageList', [$this, 'wp_getPageList'],
+            ['array', 'integer', 'string', 'string'],
             'Get an array of all the pages on a blog. Just the minimum details, lighter than wp.getPages.');
 
-        $this->addCallback('wp.getAuthors', array($this, 'wp_getAuthors'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getAuthors', [$this, 'wp_getAuthors'],
+            ['array', 'integer', 'string', 'string'],
             'Get an array of users for the blog.');
 
-        $this->addCallback('wp.getCategories', array($this, 'wp_getCategories'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getCategories', [$this, 'wp_getCategories'],
+            ['array', 'integer', 'string', 'string'],
             'Get an array of available categories on a blog.');
 
-        $this->addCallback('wp.getTags', array($this, 'wp_getTags'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getTags', [$this, 'wp_getTags'],
+            ['array', 'integer', 'string', 'string'],
             'Get list of all tags for the blog.');
 
-        $this->addCallback('wp.newCategory', array($this, 'wp_newCategory'),
-            array('integer', 'integer', 'string', 'string', 'struct'),
+        $this->addCallback('wp.newCategory', [$this, 'wp_newCategory'],
+            ['integer', 'integer', 'string', 'string', 'struct'],
             'Create a new category.');
 
-        $this->addCallback('wp.deleteCategory', array($this, 'wp_deleteCategory'),
-            array('boolean', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.deleteCategory', [$this, 'wp_deleteCategory'],
+            ['boolean', 'integer', 'string', 'string', 'integer'],
             'Delete a category with a given ID.');
 
-        $this->addCallback('wp.suggestCategories', array($this, 'wp_suggestCategories'),
-            array('array', 'integer', 'string', 'string', 'string', 'integer'),
+        $this->addCallback('wp.suggestCategories', [$this, 'wp_suggestCategories'],
+            ['array', 'integer', 'string', 'string', 'string', 'integer'],
             'Get an array of categories that start with a given string.');
 
-        $this->addCallback('wp.uploadFile', array($this, 'wp_uploadFile'),
-            array('struct', 'integer', 'string', 'string', 'struct'),
+        $this->addCallback('wp.uploadFile', [$this, 'wp_uploadFile'],
+            ['struct', 'integer', 'string', 'string', 'struct'],
             'Upload a file');
 
-        $this->addCallback('wp.getPostStatusList', array($this, 'wp_getPostStatusList'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getPostStatusList', [$this, 'wp_getPostStatusList'],
+            ['array', 'integer', 'string', 'string'],
             'Retrieve all of the post statuses.');
 
-        $this->addCallback('wp.getPageStatusList', array($this, 'wp_getPageStatusList'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getPageStatusList', [$this, 'wp_getPageStatusList'],
+            ['array', 'integer', 'string', 'string'],
             'Retrieve all of the pages statuses.');
 
-        $this->addCallback('wp.getPageTemplates', array($this, 'wp_getPageTemplates'),
-            array('struct', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getPageTemplates', [$this, 'wp_getPageTemplates'],
+            ['struct', 'integer', 'string', 'string'],
             'Retrieve page templates.');
 
-        $this->addCallback('wp.getOptions', array($this, 'wp_getOptions'),
-            array('struct', 'integer', 'string', 'string', 'array'),
+        $this->addCallback('wp.getOptions', [$this, 'wp_getOptions'],
+            ['struct', 'integer', 'string', 'string', 'array'],
             'Retrieve blog options');
 
-        $this->addCallback('wp.setOptions', array($this, 'wp_setOptions'),
-            array('struct', 'integer', 'string', 'string', 'struct'),
+        $this->addCallback('wp.setOptions', [$this, 'wp_setOptions'],
+            ['struct', 'integer', 'string', 'string', 'struct'],
             'Update blog options');
 
-        $this->addCallback('wp.getComment', array($this, 'wp_getComment'),
-            array('struct', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.getComment', [$this, 'wp_getComment'],
+            ['struct', 'integer', 'string', 'string', 'integer'],
             "Gets a comment, given it's comment ID.");
 
-        $this->addCallback('wp.getCommentCount', array($this, 'wp_getCommentCount'),
-            array('array', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.getCommentCount', [$this, 'wp_getCommentCount'],
+            ['array', 'integer', 'string', 'string', 'integer'],
             'Retrieve comment count.');
 
-        $this->addCallback('wp.getComments', array($this, 'wp_getComments'),
-            array('array', 'integer', 'string', 'string', 'struct'),
+        $this->addCallback('wp.getComments', [$this, 'wp_getComments'],
+            ['array', 'integer', 'string', 'string', 'struct'],
             'Gets a set of comments for a given post.');
 
-        $this->addCallback('wp.deleteComment', array($this, 'wp_deleteComment'),
-            array('boolean', 'integer', 'string', 'string', 'integer'),
+        $this->addCallback('wp.deleteComment', [$this, 'wp_deleteComment'],
+            ['boolean', 'integer', 'string', 'string', 'integer'],
             'Delete a comment with given ID.');
 
-        $this->addCallback('wp.editComment', array($this, 'wp_editComment'),
-            array('boolean', 'integer', 'string', 'string', 'integer', 'struct'),
+        $this->addCallback('wp.editComment', [$this, 'wp_editComment'],
+            ['boolean', 'integer', 'string', 'string', 'integer', 'struct'],
             'Edit a comment with given ID.');
 
-        $this->addCallback('wp.newComment', array($this, 'wp_newComment'),
-            array('integer', 'integer', 'string', 'string', 'integer', 'struct'),
+        $this->addCallback('wp.newComment', [$this, 'wp_newComment'],
+            ['integer', 'integer', 'string', 'string', 'integer', 'struct'],
             'Create a new comment for a given post ID.');
 
-        $this->addCallback('wp.getCommentStatusList', array($this, 'wp_getCommentStatusList'),
-            array('array', 'integer', 'string', 'string'),
+        $this->addCallback('wp.getCommentStatusList', [$this, 'wp_getCommentStatusList'],
+            ['array', 'integer', 'string', 'string'],
             'Retrieve all of the comment statuses.');
 
         # Pingback support
-        $this->addCallback('pingback.ping', array($this, 'pingback_ping'),
-            array('string', 'string', 'string'),
+        $this->addCallback('pingback.ping', [$this, 'pingback_ping'],
+            ['string', 'string', 'string'],
             'Notify a link to a post.');
     }
@@ -231,5 +231,5 @@
             return $rsp;
         } catch (Exception $e) {
-            $this->debugTrace($methodname, $args, array($e->getMessage(), $e->getCode()));
+            $this->debugTrace($methodname, $args, [$e->getMessage(), $e->getCode()]);
             throw $e;
         }
@@ -304,8 +304,8 @@
         $this->setUser($user, $pwd);
         $this->setBlog();
-        $rs = $this->core->blog->getPosts(array(
+        $rs = $this->core->blog->getPosts([
             'post_id'   => (integer) $post_id,
             'post_type' => $post_type
-        ));
+        ]);
 
         if ($rs->isEmpty()) {
@@ -318,5 +318,5 @@
     private function getCatID($cat_url)
     {
-        $rs = $this->core->blog->getCategories(array('cat_url' => $cat_url));
+        $rs = $this->core->blog->getCategories(['cat_url' => $cat_url]);
 
         return $rs->isEmpty() ? null : $rs->cat_id;
@@ -325,5 +325,5 @@
     /* Generic methods
     --------------------------------------------------- */
-    private function newPost($blog_id, $user, $pwd, $content, $struct = array(), $publish = true)
+    private function newPost($blog_id, $user, $pwd, $content, $struct = [], $publish = true)
     {
         $this->setUser($user, $pwd);
@@ -418,5 +418,5 @@
     }
 
-    private function editPost($post_id, $user, $pwd, $content, $struct = array(), $publish = true)
+    private function editPost($post_id, $user, $pwd, $content, $struct = [], $publish = true)
     {
         $post_id = (integer) $post_id;
@@ -527,5 +527,5 @@
 
         if ($post->cat_id) {
-            $res['categories'] = array($post->cat_url);
+            $res['categories'] = [$post->cat_url];
         }
 
@@ -550,5 +550,5 @@
 
         # --BEHAVIOR-- xmlrpcGetPostInfo
-        $this->core->callBehavior('xmlrpcGetPostInfo', $this, $type, array(&$res));
+        $this->core->callBehavior('xmlrpcGetPostInfo', $this, $type, [&$res]);
 
         return $res;
@@ -576,12 +576,12 @@
         }
 
-        $params          = array();
+        $params          = [];
         $params['limit'] = $nb_post;
 
         $posts = $this->core->blog->getPosts($params);
 
-        $res = array();
+        $res = [];
         while ($posts->fetch()) {
-            $tres = array();
+            $tres = [];
 
             $tres['dateCreated'] = new xmlrpcDate($posts->getTS());
@@ -590,5 +590,5 @@
 
             if ($posts->cat_id) {
-                $tres['categories'] = array($posts->cat_url);
+                $tres['categories'] = [$posts->cat_url];
             }
 
@@ -613,5 +613,5 @@
 
             # --BEHAVIOR-- xmlrpcGetPostInfo
-            $this->core->callBehavior('xmlrpcGetPostInfo', $this, $type, array(&$tres));
+            $this->core->callBehavior('xmlrpcGetPostInfo', $this, $type, [&$tres]);
 
             $res[] = $tres;
@@ -626,9 +626,9 @@
         $this->setBlog();
 
-        return array(array(
+        return [[
             'url'      => $this->core->blog->url,
             'blogid'   => '1',
             'blogName' => $this->core->blog->name
-        ));
+        ]];
     }
 
@@ -637,5 +637,5 @@
         $this->setUser($user, $pwd);
 
-        return array(
+        return [
             'userid'    => $this->core->auth->userID(),
             'firstname' => $this->core->auth->getInfo('user_firstname'),
@@ -644,5 +644,5 @@
             'email'     => $this->core->auth->getInfo('user_email'),
             'url'       => $this->core->auth->getInfo('user_url')
-        );
+        ];
     }
 
@@ -653,8 +653,8 @@
         $rs = $this->core->blog->getCategories();
 
-        $res = array();
+        $res = [];
 
         $l     = $rs->level;
-        $stack = array('', $rs->cat_url);
+        $stack = ['', $rs->cat_url];
 
         while ($rs->fetch()) {
@@ -673,5 +673,5 @@
             }
 
-            $res[] = array(
+            $res[] = [
                 'categoryId'   => $rs->cat_url,
                 'parentId'     => $parent,
@@ -682,5 +682,5 @@
                 'rssUrl'       => $this->core->blog->url .
                 $this->core->url->getURLFor('feed', 'category/' . $rs->cat_url . '/rss2')
-            );
+            ];
 
             $stack[] = $rs->cat_url;
@@ -697,11 +697,11 @@
         $post = $this->getPostRS($post_id, $user, $pwd);
 
-        return array(
-            array(
+        return [
+            [
                 'categoryName' => $post->cat_url,
                 'categoryId'   => (string) $post->cat_url,
                 'isPrimary'    => true
-            )
-        );
+            ]
+        ];
     }
 
@@ -788,14 +788,14 @@
 
         $f = $media->getFile($media_id);
-        return array(
+        return [
             'file' => $file_name,
             'url'  => $f->file_url,
             'type' => files::getMimeType($file_name)
-        );
+        ];
     }
 
     private function translateWpStatus($s)
     {
-        $status = array(
+        $status = [
             'draft'     => -2,
             'pending'   => -2,
@@ -803,5 +803,5 @@
             'publish'   => 1,
             'scheduled' => -1
-        );
+        ];
 
         if (is_int($s)) {
@@ -815,9 +815,9 @@
     private function translateWpCommentstatus($s)
     {
-        $status = array(
+        $status = [
             'hold'    => -1,
             'approve' => 0,
             'spam'    => -2
-        );
+        ];
 
         if (is_int($s)) {
@@ -829,5 +829,5 @@
     }
 
-    private function translateWpOptions($options = array())
+    private function translateWpOptions($options = [])
     {
         $timezone = 0;
@@ -836,49 +836,49 @@
         }
 
-        $res = array(
-            'software_name'    => array(
+        $res = [
+            'software_name'    => [
                 'desc'     => 'Software Name',
                 'readonly' => true,
                 'value'    => 'Dotclear'
-            ),
-            'software_version' => array(
+            ],
+            'software_version' => [
                 'desc'     => 'Software Version',
                 'readonly' => true,
                 'value'    => DC_VERSION
-            ),
-            'blog_url'         => array(
+            ],
+            'blog_url'         => [
                 'desc'     => 'Blog URL',
                 'readonly' => true,
                 'value'    => $this->core->blog->url
-            ),
-            'time_zone'        => array(
+            ],
+            'time_zone'        => [
                 'desc'     => 'Time Zone',
                 'readonly' => true,
                 'value'    => (string) $timezone
-            ),
-            'blog_title'       => array(
+            ],
+            'blog_title'       => [
                 'desc'     => 'Blog Title',
                 'readonly' => false,
                 'value'    => $this->core->blog->name
-            ),
-            'blog_tagline'     => array(
+            ],
+            'blog_tagline'     => [
                 'desc'     => 'Blog Tagline',
                 'readonly' => false,
                 'value'    => $this->core->blog->desc
-            ),
-            'date_format'      => array(
+            ],
+            'date_format'      => [
                 'desc'     => 'Date Format',
                 'readonly' => false,
                 'value'    => $this->core->blog->settings->system->date_format
-            ),
-            'time_format'      => array(
+            ],
+            'time_format'      => [
                 'desc'     => 'Time Format',
                 'readonly' => false,
                 'value'    => $this->core->blog->settings->system->time_format
-            )
-        );
+            ]
+        ];
 
         if (!empty($options)) {
-            $r = array();
+            $r = [];
             foreach ($options as $v) {
                 if (isset($res[$v])) {
@@ -897,5 +897,5 @@
         $this->setBlog();
 
-        return array(
+        return [
             'draft'     => 'Draft',
             'pending'   => 'Pending Review',
@@ -903,5 +903,5 @@
             'publish'   => 'Published',
             'scheduled' => 'Scheduled'
-        );
+        ];
     }
 
@@ -912,10 +912,10 @@
         $this->checkPagesPermission();
 
-        return array(
+        return [
             'draft'     => 'Draft',
             'private'   => 'Private',
             'published' => 'Published',
             'scheduled' => 'Scheduled'
-        );
+        ];
     }
 
@@ -937,8 +937,8 @@
         $this->checkPagesPermission();
 
-        $params = array(
+        $params = [
             'post_type' => 'page',
             'order'     => 'post_position ASC, post_title ASC'
-        );
+        ];
 
         if ($id) {
@@ -951,7 +951,7 @@
         $posts = $this->core->blog->getPosts($params);
 
-        $res = array();
+        $res = [];
         while ($posts->fetch()) {
-            $tres = array(
+            $tres = [
                 "dateCreated"            => new xmlrpcDate($posts->getTS()),
                 "userid"                 => $posts->user_id,
@@ -962,5 +962,5 @@
                 "link"                   => $posts->getURL(),
                 "permaLink"              => $posts->getURL(),
-                "categories"             => array(),
+                "categories"             => [],
                 "excerpt"                => $posts->post_excerpt_xhtml,
                 "text_more"              => '',
@@ -976,10 +976,10 @@
                 "wp_author_display_name" => $posts->getAuthorCN(),
                 "date_created_gmt"       => new xmlrpcDate(dt::iso8601($posts->getTS(), $posts->post_tz)),
-                "custom_fields"          => array(),
+                "custom_fields"          => [],
                 "wp_page_template"       => 'default'
-            );
+            ];
 
             # --BEHAVIOR-- xmlrpcGetPageInfo
-            $this->core->callBehavior('xmlrpcGetPageInfo', $this, array(&$tres));
+            $this->core->callBehavior('xmlrpcGetPageInfo', $this, [&$tres]);
 
             $res[] = $tres;
@@ -1031,12 +1031,12 @@
 
         $rs  = $this->core->getBlogPermissions($this->core->blog->id);
-        $res = array();
+        $res = [];
 
         foreach ($rs as $k => $v) {
-            $res[] = array(
+            $res[] = [
                 'user_id'      => $k,
                 'user_login'   => $k,
                 'display_name' => dcUtils::getUserCN($k, $v['name'], $v['firstname'], $v['displayname'])
-            );
+            ];
         }
         return $res;
@@ -1051,5 +1051,5 @@
         $tags->sort('meta_id_lower', 'asc');
 
-        $res = array();
+        $res = [];
         $url = $this->core->blog->url .
         $this->core->url->getURLFor('tag', '%s');
@@ -1057,5 +1057,5 @@
         $this->core->url->getURLFor('tag_feed', '%s');
         while ($tags->fetch()) {
-            $res[] = array(
+            $res[] = [
                 'tag_id'   => $tags->meta_id,
                 'name'     => $tags->meta_id,
@@ -1064,5 +1064,5 @@
                 'html_url' => sprintf($url, $tags->meta_id),
                 'rss_url'  => sprintf($f_url, $tags->meta_id)
-            );
+            ];
         }
         return $res;
@@ -1103,5 +1103,5 @@
         $this->setBlog();
 
-        $c = $this->core->blog->getCategories(array('cat_url' => $cat_id));
+        $c = $this->core->blog->getCategories(['cat_url' => $cat_id]);
         if ($c->isEmpty()) {
             throw new Exception(__('This category does not exist.'));
@@ -1127,10 +1127,10 @@
         $rs = $this->core->con->select($strReq);
 
-        $res = array();
+        $res = [];
         while ($rs->fetch()) {
-            $res[] = array(
+            $res[] = [
                 'category_id'   => $rs->cat_url,
                 'category_name' => $rs->cat_url
-            );
+            ];
         }
         return $res;
@@ -1142,11 +1142,11 @@
         $this->setBlog();
 
-        $res = array(
+        $res = [
             'approved'            => 0,
             'awaiting_moderation' => 0,
             'spam'                => 0,
             'total'               => 0
-        );
-        $rs = $this->core->blog->getComments(array('post_id' => $post_id));
+        ];
+        $rs = $this->core->blog->getComments(['post_id' => $post_id]);
 
         while ($rs->fetch()) {
@@ -1168,5 +1168,5 @@
         $this->setBlog();
 
-        $params = array();
+        $params = [];
 
         if (!empty($struct['status'])) {
@@ -1184,10 +1184,10 @@
         $offset          = !empty($struct['offset']) ? (integer) $struct['offset'] : 0;
         $limit           = !empty($struct['number']) ? (integer) $struct['number'] : 10;
-        $params['limit'] = array($offset, $limit);
+        $params['limit'] = [$offset, $limit];
 
         $rs  = $this->core->blog->getComments($params);
-        $res = array();
+        $res = [];
         while ($rs->fetch()) {
-            $res[] = array(
+            $res[] = [
                 'date_created_gmt' => new xmlrpcDate($rs->getTS()),
                 'user_id'          => $rs->user_id,
@@ -1203,5 +1203,5 @@
                 'author_email'     => $rs->comment_email,
                 'author_ip'        => $rs->comment_ip
-            );
+            ];
         }
         return $res;
@@ -1293,10 +1293,10 @@
     public function blogger_newPost($appkey, $blogid, $username, $password, $content, $publish)
     {
-        return $this->newPost($blogid, $username, $password, $content, array(), $publish);
+        return $this->newPost($blogid, $username, $password, $content, [], $publish);
     }
 
     public function blogger_editPost($appkey, $postid, $username, $password, $content, $publish)
     {
-        return $this->editPost($postid, $username, $password, $content, array(), $publish);
+        return $this->editPost($postid, $username, $password, $content, [], $publish);
     }
 
@@ -1387,5 +1387,5 @@
     public function mt_supportedTextFilters()
     {
-        return array();
+        return [];
     }
 
@@ -1431,7 +1431,7 @@
     {
         $A   = $this->getPages($blogid, $username, $password);
-        $res = array();
+        $res = [];
         foreach ($A as $v) {
-            $res[] = array(
+            $res[] = [
                 'page_id'          => $v['page_id'],
                 'page_title'       => $v['title'],
@@ -1439,5 +1439,5 @@
                 'dateCreated'      => $v['dateCreated'],
                 'date_created_gmt' => $v['date_created_gmt']
-            );
+            ];
         }
         return $res;
@@ -1491,8 +1491,8 @@
     public function wp_getPageTemplates($blogid, $username, $password)
     {
-        return array('Default' => 'default');
-    }
-
-    public function wp_getOptions($blogid, $username, $password, $options = array())
+        return ['Default' => 'default'];
+    }
+
+    public function wp_getOptions($blogid, $username, $password, $options = [])
     {
         $this->setUser($username, $password);
@@ -1513,5 +1513,5 @@
         $opt = $this->translateWpOptions();
 
-        $done         = array();
+        $done         = [];
         $blog_changes = false;
         $cur          = $this->core->con->openCursor($this->core->prefix . 'blog');
